import bb.cascades 1.3

Container {
    property alias label: labelView.title
    property alias value: valueView.text
    property alias textFormat: valueView.textFormat

    Header {
        id: labelView
        title: "Label title"
    }
    Container {
        leftPadding: ui.du(2)
        rightPadding: ui.du(2)
        topPadding: ui.du(0.5)
        bottomPadding: ui.du(2)
        layout: StackLayout {
            orientation: LayoutOrientation.LeftToRight
        }
        Label {
            id: valueView
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Center
            textFormat: TextFormat.Plain
            textStyle.base: SystemDefaults.TextStyles.BodyText
            autoSize.maxLineCount: 10
            multiline: true
            layoutProperties: StackLayoutProperties { 
                spaceQuota: 1 
            }
        }
    }
}
